<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\SammelEMail;

class SammelEMailView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/leiter_mitarbeiter_anderer_veranstalter/sammelemail.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->dozenten;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpDozenten();
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = new \Datamodul();
    $datamodul->backLink = $this->viewModel->backLink;
    $datamodul->backButtonLabel = $this->viewModel->backButtonLabel;
    $datamodul->errorMessage = $this->viewModel->errorMessage;
    $datamodul->toolId = $this->viewModel->toolId;

    return array($datamodul);
  }
}

class SammelEMailViewModel
{
  public $dozenten;
  public $toolId;
  public $errorMessage;

  public $backLink;
  public $backButtonLabel;
}